=== modified file 'drizzled/include.am'
--- drizzled/include.am	2011-12-27 20:30:10 +0000
+++ drizzled/include.am	2011-12-28 21:59:11 +0000
@@ -1027,7 +1027,7 @@
 drizzled/symbol_hash.h: drizzled/symbol_hash.stamp-h
 drizzled/sql_reserved_words.h: drizzled/sql_reserved_words.stamp-h
 
-.gperf.stamp-h:
+.gperf.stamp-h: drizzled/sql_yacc.hh
 	$(GPERF) -D --initializer-suffix=,0 --struct-type --enum \
 		--omit-struct-type --readonly-tables --language=C++ \
 		--class-name=$(*F) $<  > $@

=== modified file 'libdrizzle-1.0/structs.h'
--- libdrizzle-1.0/structs.h	2011-12-20 07:27:58 +0000
+++ libdrizzle-1.0/structs.h	2011-12-28 21:59:11 +0000
@@ -44,8 +44,10 @@
 
 #include <sys/types.h>
 
-#ifndef NI_MAXHOST
-# define NI_MAXHOST 1025
+#ifdef NI_MAXHOST
+# define LIBDRIZZLE_NI_MAXHOST NI_MAXHOST
+#else
+# define LIBDRIZZLE_NI_MAXHOST 1025
 #endif
 
 #ifdef __cplusplus

=== modified file 'libdrizzle/column.cc'
--- libdrizzle/column.cc	2011-12-19 17:01:31 +0000
+++ libdrizzle/column.cc	2011-12-28 21:59:11 +0000
@@ -41,7 +41,7 @@
  * @brief Column definitions
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 /*
  * Private variables.

=== modified file 'libdrizzle/command.cc'
--- libdrizzle/command.cc	2011-12-19 16:28:27 +0000
+++ libdrizzle/command.cc	2011-12-28 21:59:11 +0000
@@ -41,7 +41,7 @@
  * @brief Command definitions
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 /*
  * Private variables.

=== renamed file 'libdrizzle-1.0/common.h' => 'libdrizzle/common.h'
--- libdrizzle-1.0/common.h	2011-11-30 17:23:18 +0000
+++ libdrizzle/common.h	2011-12-28 21:59:11 +0000
@@ -41,29 +41,32 @@
 
 #pragma once
 
-#include <config.h>
-
-#include "libdrizzle-1.0/drizzle_client.h"
-#include "libdrizzle-1.0/drizzle_server.h"
-
-#include <assert.h>
-#include <errno.h>
+#include "config.h"
+
+#include <libdrizzle-1.0/drizzle_client.h>
+#include <libdrizzle-1.0/drizzle_server.h>
+
+#include <cassert>
+#include <cerrno>
+
 #include <fcntl.h>
 #ifndef _WIN32
 # include <netinet/tcp.h>
 # include <sys/uio.h>
 # include <unistd.h>
 #endif
-#include <stdarg.h>
-#include <stdio.h>
-#include <stdlib.h>
-#include <string.h>
+
+#include <cstddef>
+#include <cstdarg>
+#include <cstdio>
+#include <cstdlib>
+#include <cstring>
 #include <signal.h>
 
-#include <libdrizzle-1.0/drizzle_local.h>
-#include <libdrizzle-1.0/conn_local.h>
-#include <libdrizzle-1.0/pack.h>
-#include <libdrizzle-1.0/state.h>
-#include <libdrizzle-1.0/sha1.h>
+#include <libdrizzle/drizzle_local.h>
+#include <libdrizzle/conn_local.h>
+#include <libdrizzle/pack.h>
+#include <libdrizzle/state.h>
+#include <libdrizzle/sha1.h>
 
 #include <memory>

=== modified file 'libdrizzle/conn.cc'
--- libdrizzle/conn.cc	2011-12-19 21:57:47 +0000
+++ libdrizzle/conn.cc	2011-12-28 21:59:11 +0000
@@ -41,7 +41,7 @@
  * @brief Connection Definitions
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 /**
  * @addtogroup drizzle_con_static Static Connection Declarations

=== renamed file 'libdrizzle-1.0/conn_local.h' => 'libdrizzle/conn_local.h'
=== modified file 'libdrizzle/conn_uds.cc'
--- libdrizzle/conn_uds.cc	2011-12-19 16:28:27 +0000
+++ libdrizzle/conn_uds.cc	2011-12-28 21:59:11 +0000
@@ -40,7 +40,7 @@
  * @brief Connection Definitions for Unix Domain Sockets
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 const char *drizzle_con_uds(const drizzle_con_st *con)
 {

=== modified file 'libdrizzle/drizzle.cc'
--- libdrizzle/drizzle.cc	2011-12-19 17:01:31 +0000
+++ libdrizzle/drizzle.cc	2011-12-28 21:59:11 +0000
@@ -40,7 +40,7 @@
  * @brief Drizzle Definitions
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 /**
  * @addtogroup drizzle_static Static Drizzle Declarations

=== renamed file 'libdrizzle-1.0/drizzle_local.h' => 'libdrizzle/drizzle_local.h'
=== modified file 'libdrizzle/field.cc'
--- libdrizzle/field.cc	2011-12-19 17:01:31 +0000
+++ libdrizzle/field.cc	2011-12-28 21:59:11 +0000
@@ -40,7 +40,7 @@
  * @brief Field definitions
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 /*
  * Client definitions

=== modified file 'libdrizzle/handshake.cc'
--- libdrizzle/handshake.cc	2011-12-19 21:57:47 +0000
+++ libdrizzle/handshake.cc	2011-12-28 21:59:11 +0000
@@ -40,7 +40,7 @@
  * @brief Handshake Definitions
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 /*
  * Client Definitions

=== modified file 'libdrizzle/include.am'
--- libdrizzle/include.am	2011-12-08 17:37:11 +0000
+++ libdrizzle/include.am	2011-12-28 21:59:11 +0000
@@ -5,9 +5,9 @@
 
 
 noinst_HEADERS+= \
-		 libdrizzle-1.0/common.h \
-		 libdrizzle-1.0/drizzle_local.h \
-		 libdrizzle-1.0/conn_local.h \
-		 libdrizzle-1.0/pack.h \
-		 libdrizzle-1.0/state.h \
-		 libdrizzle-1.0/sha1.h
+		 libdrizzle/common.h \
+		 libdrizzle/drizzle_local.h \
+		 libdrizzle/conn_local.h \
+		 libdrizzle/pack.h \
+		 libdrizzle/state.h \
+		 libdrizzle/sha1.h

=== modified file 'libdrizzle/pack.cc'
--- libdrizzle/pack.cc	2011-12-19 16:28:27 +0000
+++ libdrizzle/pack.cc	2011-12-28 21:59:11 +0000
@@ -40,7 +40,7 @@
  * @brief Packing definitions
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 /*
  * Private declarations

=== renamed file 'libdrizzle-1.0/pack.h' => 'libdrizzle/pack.h'
=== modified file 'libdrizzle/query.cc'
--- libdrizzle/query.cc	2011-12-21 16:48:51 +0000
+++ libdrizzle/query.cc	2011-12-28 21:59:11 +0000
@@ -40,7 +40,7 @@
  * @brief Query definitions
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 drizzle_result_st *drizzle_query(drizzle_con_st *con, drizzle_result_st *result,
                                  const char *query, size_t size,

=== modified file 'libdrizzle/result.cc'
--- libdrizzle/result.cc	2011-12-19 21:57:47 +0000
+++ libdrizzle/result.cc	2011-12-28 21:59:11 +0000
@@ -40,7 +40,7 @@
  * @brief Result definitions
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 /*
  * Common definitions

=== modified file 'libdrizzle/row.cc'
--- libdrizzle/row.cc	2011-12-19 17:01:31 +0000
+++ libdrizzle/row.cc	2011-12-28 21:59:11 +0000
@@ -40,7 +40,7 @@
  * @brief Row definitions
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 /*
  * Client definitions

=== modified file 'libdrizzle/sha1.cc'
--- libdrizzle/sha1.cc	2011-12-08 17:37:11 +0000
+++ libdrizzle/sha1.cc	2011-12-28 21:59:11 +0000
@@ -21,7 +21,7 @@
  *   34AA973C D4C4DAA4 F61EEB2B DBAD2731 6534016F
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 #define rol(value, bits) (((value) << (bits)) | ((value) >> (32 - (bits))))
 

=== renamed file 'libdrizzle-1.0/sha1.h' => 'libdrizzle/sha1.h'
=== modified file 'libdrizzle/state.cc'
--- libdrizzle/state.cc	2011-12-19 16:28:27 +0000
+++ libdrizzle/state.cc	2011-12-28 21:59:11 +0000
@@ -40,7 +40,7 @@
  * @brief State machine definitions
  */
 
-#include <libdrizzle-1.0/common.h>
+#include <libdrizzle/common.h>
 
 drizzle_return_t drizzle_state_loop(drizzle_con_st *con)
 {

=== renamed file 'libdrizzle-1.0/state.h' => 'libdrizzle/state.h'
